Subject: bug#19408: 25.0.50; Incorrect handling of face-font-rescale-alist on startup mangles font settings

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Dec 2020 13:20:48 +0100

Kirill Ignatiev <[email-masked]> writes:

> Take the following .emacs file:
>
> (custom-set-faces
>  '(default ((t (:inherit nil :height 110 :foundry "nil" :family
> "Source Code Pro")))))
>
> (add-to-list 'face-font-rescale-alist (cons (font-spec :family
> "STIXGeneral") 0.95) t)

(This bug report unfortunately got no response at the time.)

I'm not sure what font that is, but I tried this in Emacs 28:

# apt install fonts-stix
emacs -Q -l /tmp/stix.el

> Run emacs with no other customizations, using -Q -l <file.el>. The
> font in the initial frame in the scratch buffer will be Source Code
> Pro, as expected. Open a new frame, the font in that frame will be
> some other font (in my case Helvetica), not the default one.

I get

    ftcrhb:-GOOG-Noto Sans CJK KR-normal-normal-normal-*-39-*-*-*-*-0-iso10646-1 (#x2D)

in the initial frame, which I guess just means that I don't have Source
Code Pro.

I then `C-x 5 2', and query the new frame for the font it's using, and
it's the same one.

So I don't seem to be able to reproduce this problem in Emacs 28 -- are
you still seeing it in more recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no